Subject: [alto] Call for Adoption: draft-bw-alto-cost-mode-01

From: [email-masked]
Date: Mon, 7 Mar 2022 19:28:01 +0800 (GMT+08:00)

Dear all,

I have been appointed to run the Call for Adoption of draft-bw-alto-cost-mode-01.

Following up with what has been proposed and agreed during the IESG review on draft-ietf-alto-path-vector [1], we are starting a call for adoption of the ALTO cost mode [2] document as a charter deliverable. It both helps push forward existing WG document and fits in the protocol maintenance item in the current charter.

The Call for Adoption will close on March 21 (2 weeks after the IETF submission deadline). Please post to the mailing list if you support or appose the adoption, or have any comments or suggestions.

[1] https://mailarchive.ietf.org/arch/msg/alto/WWoyJyM0PioBWM_rADYT-Z_I8t4/
[2] https://datatracker.ietf.org/doc/html/draft-bw-alto-cost-mode-01

Thanks!

Best,
Kai

---

From: <[email-masked]>
Date: Mon, 7 Mar 2022 11:49:17 +0000

Hi Kai, 

Thank you for taking care of the call. 

FWIW, I don't have any IPR related to this draft. 

Cheers,
Med

> -----Message d'origine-----
> De : alto <[email-masked]> De la part de [email-masked]
> Envoyé : lundi 7 mars 2022 12:28
> À : [email-masked]; [email-masked]
> Objet : [alto] Call for Adoption: draft-bw-alto-cost-mode-01
> 
> Dear all,
> 
> Following up with what has been proposed and agreed during the IESG
> review on draft-ietf-alto-path-vector [1], we are starting a call for
> adoption of the ALTO cost mode [2] document as a charter deliverable. It
> both helps push forward existing WG document and fits in the protocol
> maintenance item in the current charter.
> 
> The Call for Adoption will close on March 21 (2 weeks after the IETF
> submission deadline). Please post to the mailing list if you support or
> appose the adoption, or have any comments or suggestions.
> 
> _______________________________________________
> alto mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/alto

_________________________________________________________________________________________________________________________

Ce message et ses pieces jointes peuvent contenir des informations confidentielles ou privilegiees et ne doivent donc
pas etre diffuses, exploites ou copies sans autorisation. Si vous avez recu ce message par erreur, veuillez le signaler
a l'expediteur et le detruire ainsi que les pieces jointes. Les messages electroniques etant susceptibles d'alteration,
Orange decline toute responsabilite si ce message a ete altere, deforme ou falsifie. Merci.

This message and its attachments may contain confidential or privileged information that may be protected by law;
they should not be distributed, used or copied without authorisation.
If you have received this email in error, please notify the sender and delete this message and its attachments.
As emails may be altered, Orange is not liable for messages that have been modified, changed or falsified.
Thank you.

---

From: "Adrian Farrel" <[email-masked]>
Date: Mon, 7 Mar 2022 12:06:13 -0000

Thanks Kai,

I had a quick look at the draft: it is blissfully short!

Looks to me that this document is needed and should be adopted.

Two small points in Section 4:

I think you should add a "description" to the registry for each cost mode.

Please don't use BCP14 language in the IANA section. So...
OLD
   New values MUST be assigned after IETF Review (Section 4.8 of
   [RFC8126]).
NEW
   The assignment policy for this registry is "IETF Review" [RFC8126].
END

Thanks,
Adrian
-----Original Message-----
From: alto <[email-masked]> On Behalf Of [email-masked]
Sent: 07 March 2022 11:28
To: [email-masked]; [email-masked]
Subject: [alto] Call for Adoption: draft-bw-alto-cost-mode-01

Dear all,

I have been appointed to run the Call for Adoption of
draft-bw-alto-cost-mode-01.

Following up with what has been proposed and agreed during the IESG review
on draft-ietf-alto-path-vector [1], we are starting a call for adoption of
the ALTO cost mode [2] document as a charter deliverable. It both helps push
forward existing WG document and fits in the protocol maintenance item in
the current charter.

Thanks!

Best,
Kai

---

From: <[email-masked]>
Date: Mon, 7 Mar 2022 12:16:55 +0000

Re-,

Good points, Adrian. These (except removing the pointer to Section 4.8 of 8126) will be fixed in the next version.

Thank you. 

Cheers,
Med

> De : Adrian Farrel <[email-masked]>
> Envoyé : lundi 7 mars 2022 13:06
> À : [email-masked]; [email-masked]; [email-masked]
> Objet : RE: [alto] Call for Adoption: draft-bw-alto-cost-mode-01
> 
> Thanks Kai,
>

---

From: Dhruv Dhody <[email-masked]>
Date: Tue, 8 Mar 2022 11:21:33 +0530

Hi Kai,

Support adoption!

Should the IANA consideration section follow the format followed by RFC
7285 which includes lot more details on the rationale, requested
information, string format etc.

That also made me wonder if there is some benefit to also mark priv: for
private use as done for some of the other ALTO registries.

Thanks!
Dhruv

On Mon, Mar 7, 2022 at 4:58 PM <[email-masked]> wrote:

> the ALTO cost mode [2] document as a charter deliverable. It both helps
> push forward existing WG document and fits in the protocol maintenance item
> in the current charter.
>
> [1]
> https://mailarchive.ietf.org/arch/msg/alto/WWoyJyM0PioBWM_rADYT-Z_I8t4/

---

From: <[email-masked]>
Date: Tue, 8 Mar 2022 06:23:45 +0000

Hi Dhruv,

Thank you for the comments.

We will be adding a “description” in the next iteration, however the details about the structure/etc should not be echoed in the table but be available in the pointer provided under “Specification”.

I’m not sure a specific prefix for private use is needed, but I may be mistaken. When running experiments, the owners can just pick any value which does not conflict with a value in the registry + provide the semantic/behavior to ALTO nodes that are involved in the experiment.

Cheers,
Med

De : Dhruv Dhody <[email-masked]>
Envoyé : mardi 8 mars 2022 06:52
À : Kai Gao <[email-masked]>
Cc : alto <[email-masked]>; [email-masked]
Objet : Re: [alto] Call for Adoption: draft-bw-alto-cost-mode-01

Hi Kai,

Support adoption!

Should the IANA consideration section follow the format followed by RFC 7285 which includes lot more details on the rationale, requested information, string format etc.

That also made me wonder if there is some benefit to also mark priv: for private use as done for some of the other ALTO registries.

Thanks!
Dhruv

On Mon, Mar 7, 2022 at 4:58 PM <[email-masked]<mailto:[email-masked]>> wrote:
Dear all,

Thanks!

Best,
Kai
_______________________________________________
alto mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/alto

---

From: Dhruv Dhody <[email-masked]>
Date: Tue, 8 Mar 2022 12:39:04 +0530

Hi Med,

On Tue, Mar 8, 2022 at 11:53 AM <[email-masked]> wrote:

> We will be adding a “description” in the next iteration, however the
> details about the structure/etc should not be echoed in the table but be
> available in the pointer provided under “Specification”.
>
>
>

Dhruv: Maybe I was not clear. I meant to say the IANA sections in RFC 7285
included a lot more text than what is there in this I-D. See
https://datatracker.ietf.org/doc/html/rfc7285#section-14.2 and
https://datatracker.ietf.org/doc/html/rfc7285#section-14.3. I was
suggesting using a similar format and adding more text about this new
registry as well.

> I’m not sure a specific prefix for private use is needed, but I may be
> mistaken. When running experiments, the owners can just pick any value
> which does not conflict with a value in the registry + provide the
> semantic/behavior to ALTO nodes that are involved in the experiment.
>
>
>

Dhruv: Experiments sometimes leak into the wild and thus
we discourage simply picking any value and opting for private use and
experimental use values in the IANA registry. Further, consistency in the
protocol extensions is a good thing to have, and thus using priv: makes
sense to me! I was not in the room when RFC 7285 was being developed. Maybe
some of the OG participants from the WG could through some light on this as
well :)

Thanks!
Dhruv

> Cheers,
>
> Med
>
>
>
> *De :* Dhruv Dhody <[email-masked]>
> *Envoyé :* mardi 8 mars 2022 06:52
> *À :* Kai Gao <[email-masked]>
> *Cc :* alto <[email-masked]>; [email-masked]
> *Objet :* Re: [alto] Call for Adoption: draft-bw-alto-cost-mode-01
>
>
>
> Hi Kai,
>
>
>
> Support adoption!
>
>
>

---

From: "Adrian Farrel" <[email-masked]>
Date: Tue, 8 Mar 2022 08:33:25 -0000

I agree with Dhruv about experimentation.

We don’t want to encourage “squatting” on code points even for experiments because that typically results in code being deployed and (if we’re lucky) late requests for assignment of code points.

The idea of a single experimental code point is that it encourages people to realise the line between an experiment and a standards track.

This does not stop an Experimental RFC from requesting a full assignment from the registry.

Cheers,

Adrian

From: alto <[email-masked]> On Behalf Of Dhruv Dhody
Sent: 08 March 2022 07:09
To: [email-masked]
Cc: [email-masked]; Kai Gao <[email-masked]>; alto <[email-masked]>
Subject: Re: [alto] Call for Adoption: draft-bw-alto-cost-mode-01

Hi Med,

On Tue, Mar 8, 2022 at 11:53 AM <[email-masked] <mailto:[email-masked]> > wrote:

Hi Dhruv, 

 

Dhruv: Maybe I was not clear. I meant to say the IANA sections in RFC 7285 included a lot more text than what is there in this I-D. See https://datatracker.ietf.org/doc/html/rfc7285#section-14.2 and https://datatracker.ietf.org/doc/html/rfc7285#section-14.3. I was suggesting using a similar format and adding more text about this new registry as well. 

 

Dhruv: Experiments sometimes leak into the wild and thus we discourage simply picking any value and opting for private use and experimental use values in the IANA registry. Further, consistency in the protocol extensions is a good thing to have, and thus using priv: makes sense to me! I was not in the room when RFC 7285 was being developed. Maybe some of the OG participants from the WG could through some light on this as well :)

Thanks! 

Dhruv

Cheers,

Med

De : Dhruv Dhody <[email-masked] <mailto:[email-masked]> > 
Envoyé : mardi 8 mars 2022 06:52
À : Kai Gao <[email-masked] <mailto:[email-masked]> >
Cc : alto <[email-masked] <mailto:[email-masked]> >; [email-masked] <mailto:[email-masked]> 
Objet : Re: [alto] Call for Adoption: draft-bw-alto-cost-mode-01

Hi Kai,

Support adoption! 

Thanks! 

Dhruv

On Mon, Mar 7, 2022 at 4:58 PM <[email-masked] <mailto:[email-masked]> > wrote:

Dear all,

Thanks!

Best,
Kai
_______________________________________________
alto mailing list
[email-masked] <mailto:[email-masked]> 
https://www.ietf.org/mailman/listinfo/alto

---

From: LUIS MIGUEL CONTRERAS MURILLO <[email-masked]>
Date: Tue, 8 Mar 2022 08:36:54 +0000

Hi all,

I agree with Dhruv on the fact that enabling private use could be useful. I’m thinking on the fact of positioning ALTO as IETF Network Exposure Function (as described in draft-contreras-alto-ietf-nef-00) where some private (non-standard or experimental) information could be exposed among parties for specific purposes.

Best regards

Luis

De: alto <[email-masked]> En nombre de Dhruv Dhody
Enviado el: martes, 8 de marzo de 2022 8:09
Para: [email-masked]
CC: [email-masked]; Kai Gao <[email-masked]>; alto <[email-masked]>
Asunto: Re: [alto] Call for Adoption: draft-bw-alto-cost-mode-01

Hi Med,

On Tue, Mar 8, 2022 at 11:53 AM <[email-masked]<mailto:[email-masked]>> wrote:
Hi Dhruv,

Thanks!
Dhruv

Cheers,
Med

De : Dhruv Dhody <[email-masked]<mailto:[email-masked]>>
Envoyé : mardi 8 mars 2022 06:52
À : Kai Gao <[email-masked]<mailto:[email-masked]>>
Cc : alto <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>
Objet : Re: [alto] Call for Adoption: draft-bw-alto-cost-mode-01

Hi Kai,

Support adoption!

Thanks!
Dhruv

Thanks!

Best,
Kai

Thank you.

________________________________

Este mensaje y sus adjuntos se dirigen exclusivamente a su destinatario, puede contener información privilegiada o confidencial y es para uso exclusivo de la persona o entidad de destino. Si no es usted. el destinatario indicado, queda notificado de que la lectura, utilización, divulgación y/o copia sin autorización puede estar prohibida en virtud de la legislación vigente. Si ha recibido este mensaje por error, le rogamos que nos lo comunique inmediatamente por esta misma vía y proceda a su destrucción.

The information contained in this transmission is confidential and privileged information intended only for the use of the individual or entity named above. If the reader of this message is not the intended recipient, you are hereby notified that any dissemination, distribution or copying of this communication is strictly prohibited. If you have received this transmission in error, do not read it. Please immediately reply to the sender that you have received this communication in error and then delete it.

Esta mensagem e seus anexos se dirigem exclusivamente ao seu destinatário, pode conter informação privilegiada ou confidencial e é para uso exclusivo da pessoa ou entidade de destino. Se não é vossa senhoria o destinatário indicado, fica notificado de que a leitura, utilização, divulgação e/ou cópia sem autorização pode estar proibida em virtude da legislação vigente. Se recebeu esta mensagem por erro, rogamos-lhe que nos o comunique imediatamente por esta mesma via e proceda a sua destruição

---

From: <[email-masked]>
Date: Tue, 8 Mar 2022 09:16:06 +0000

Hi Luis,
Re-, Dhruv,

Thank you for sharing your thoughts. I wasn’t against “enabling private use”, but was not sure that having a dedicated prefix will stop from using other values that match local templates (e.g., prefix with a PEN) and which would achieve the same objective.

I hear the consistency argument made bye Dhruv. That’s what I went with the changes that you can track at: https://tinyurl.com/alto-cost-mode-latest

Cheers,
Med

De : LUIS MIGUEL CONTRERAS MURILLO <[email-masked]>
Envoyé : mardi 8 mars 2022 09:37
À : Dhruv Dhody <[email-masked]>; BOUCADAIR Mohamed INNOV/NET <[email-masked]>
Cc : [email-masked]; Kai Gao <[email-masked]>; alto <[email-masked]>
Objet : RE: [alto] Call for Adoption: draft-bw-alto-cost-mode-01

Hi all,

Best regards

Luis

De: alto <[email-masked]<mailto:[email-masked]>> En nombre de Dhruv Dhody
Enviado el: martes, 8 de marzo de 2022 8:09
Para: [email-masked]<mailto:[email-masked]>
CC: [email-masked]<mailto:[email-masked]>; Kai Gao <[email-masked]<mailto:[email-masked]>>; alto <[email-masked]<mailto:[email-masked]>>
Asunto: Re: [alto] Call for Adoption: draft-bw-alto-cost-mode-01

Hi Med,

Thanks!
Dhruv

Cheers,
Med

Hi Kai,

Support adoption!

Thanks!
Dhruv

Thanks!

Best,
Kai

Thank you.

---

From: "Randriamasy, Sabine (Nokia - FR/Paris-Saclay)" <[email-masked]>
Date: Thu, 17 Mar 2022 17:56:02 +0000

Hi Med,

I went through the v01 and the update on https://tinyurl.com/alto-cost-mode-latest and would have a couple of  questions & suggestions, listed below, to be discussed.
Cheers,
Sabine

---------------
In draft-bw-alto-cost-mode-01
---------------

----- Section 3.1. Update to Section 6.1.2 of RFC7285
-– parag. 3, to better separate cost modes and values, how about the following change?
OLD
"NEW:
The cost mode ....  but additional values can be defined in the future."

NEW
"NEW:
The cost mode ....  but additional cost modes can be defined in the future."

--- Parag 4
“Cost modes are indicated in protocol messages as strings.”
As modes prefixed with "priv:" are allowed, maybe an encoding format is necessary. Something like:
  "The string MUST be no more than 32 characters, and it MUST NOT contain characters other than US- ASCII alphanumeric characters (U+0030-U+0039, U+0041 -U+005A, and U+0061-U+007A), the hyphen ('-', U+002D), the colon (':', U+003A), or the low line ('_', +005F)."

To simplify, the set of allowed characters may be more restrictive, as long as it contains (':', U+003A).

---------------
In https://tinyurl.com/alto-cost-mode-latest
---------------
----- Section 3.1 adds:
  "Future documents that define a new mode SHOULD indicate whether a new
                defined cost mode apply to all or a subset of cost types."

This sentence is hard to parse since the cost mode is one of the 2 components of a cost type, the other one being cost metric (RFC 7285 Section 6.1).
So do you mean: "applies to all or a subset of cost metrics?"

From: alto <[email-masked]> On Behalf Of [email-masked]
Sent: Tuesday, March 8, 2022 10:16 AM
To: LUIS MIGUEL CONTRERAS MURILLO <[email-masked]>; Dhruv Dhody <[email-masked]>
Cc: [email-masked]; Kai Gao <[email-masked]>; alto <[email-masked]>
Subject: Re: [alto] Call for Adoption: draft-bw-alto-cost-mode-01

Hi Luis,
Re-, Dhruv,

Cheers,
Med

De : LUIS MIGUEL CONTRERAS MURILLO <[email-masked]<mailto:[email-masked]>>
Envoyé : mardi 8 mars 2022 09:37
À : Dhruv Dhody <[email-masked]<mailto:[email-masked]>>; BOUCADAIR Mohamed INNOV/NET <[email-masked]<mailto:[email-masked]>>
Cc : [email-masked]<mailto:[email-masked]>; Kai Gao <[email-masked]<mailto:[email-masked]>>; alto <[email-masked]<mailto:[email-masked]>>
Objet : RE: [alto] Call for Adoption: draft-bw-alto-cost-mode-01

Hi all,

Best regards

Luis

Hi Med,

Thanks!
Dhruv

Cheers,
Med

Hi Kai,

Support adoption!

Thanks!
Dhruv

Thanks!

Best,
Kai

Thank you.

Thank you.

---

From: <[email-masked]>
Date: Fri, 18 Mar 2022 06:36:52 +0000

Hi Sabine,

Good catches and suggestions.

Fixed as you can see in https://github.com/boucadair/alto-cost-mode/commit/08dacba1ae6e108bdb8ce2f7a0402bf4f04144eb.

https://tinyurl.com/alto-cost-mode-latest provides the full diff.

Thank you.

Cheers,
Med

De : Randriamasy, Sabine (Nokia - FR/Paris-Saclay) <[email-masked]>
Envoyé : jeudi 17 mars 2022 18:56
À : BOUCADAIR Mohamed INNOV/NET <[email-masked]>; LUIS MIGUEL CONTRERAS MURILLO <[email-masked]>; Dhruv Dhody <[email-masked]>
Cc : [email-masked]; Kai Gao <[email-masked]>; alto <[email-masked]>
Objet : RE: [alto] Call for Adoption: draft-bw-alto-cost-mode-01

Hi Med,

---------------

NEW
"NEW:

--- Parag 4

---------------

From: alto <[email-masked]<mailto:[email-masked]>> On Behalf Of [email-masked]<mailto:[email-masked]>
Sent: Tuesday, March 8, 2022 10:16 AM
To: LUIS MIGUEL CONTRERAS MURILLO <[email-masked]<mailto:[email-masked]>>; Dhruv Dhody <[email-masked]<mailto:[email-masked]>>
Cc: [email-masked]<mailto:[email-masked]>; Kai Gao <[email-masked]<mailto:[email-masked]>>; alto <[email-masked]<mailto:[email-masked]>>
Subject: Re: [alto] Call for Adoption: draft-bw-alto-cost-mode-01

Hi Luis,
Re-, Dhruv,

Cheers,
Med

Hi all,

Best regards

Luis

Hi Med,

Thanks!
Dhruv

Cheers,
Med

Hi Kai,

Support adoption!

Thanks!
Dhruv

Thanks!

Best,
Kai

Thank you.

Thank you.